php-netresearch-jsonmapper-1.5.2-1.el6.remi.noarch.rpm


Advertisement

Description

php-netresearch-jsonmapper - Map nested JSON structures onto PHP classes

Property Value
Distribution CentOS 6
Repository Les RPM de Remi x86_64
Package filename php-netresearch-jsonmapper-1.5.2-1.el6.remi.noarch.rpm
Package name php-netresearch-jsonmapper
Package version 1.5.2
Package release 1.el6.remi
Package architecture noarch
Package type rpm
Homepage https://github.com/cweiske/jsonmapper
License OSL 3.0
Maintainer -
Download size 19.98 KB
Installed size 53.22 KB
Takes data retrieved from a JSON web service and converts them into nested
object and arrays - using your own model classes.
Starting from a base object, it maps JSON data on class properties, converting
them into the correct simple types or objects.
It's a bit like the native SOAP parameter mapping PHP's SoapClient gives you,
but for JSON. It does not rely on any schema, only your PHP class definitions.
Type detection works by parsing @var docblock annotations of class properties,
as well as type hints in setter methods.
You do not have to modify your model classes by adding JSON specific code;
it works automatically by parsing already-existing docblocks.
Autoloader: /usr/share/php/netresearch/jsonmapper/autoload.php

Alternatives

Package Version Architecture Repository
php-netresearch-jsonmapper-1.6.0-1.el6.remi.noarch.rpm 1.6.0 noarch Les RPM de Remi
php-netresearch-jsonmapper-1.6.0-1.el6.remi.noarch.rpm 1.6.0 noarch Les RPM de Remi
php-netresearch-jsonmapper-1.5.2-1.el6.remi.noarch.rpm 1.5.2 noarch Les RPM de Remi
php-netresearch-jsonmapper - - -

Requires

Name Value
php(language) >= 5.6
php-composer(fedora/autoloader) -
php-pcre -
php-spl -

Provides

Name Value
php-composer(netresearch/jsonmapper) = 1.5.2
php-netresearch-jsonmapper = 1.5.2-1.el6.remi

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php-netresearch-jsonmapper-1.5.2-1.el6.remi.noarch.rpm
Source Package php-netresearch-jsonmapper-1.5.2-1.el6.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/6/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-netresearch-jsonmapper rpm package:
    # yum --enablerepo=remi install php-netresearch-jsonmapper

Files

Path
/usr/share/doc/php-netresearch-jsonmapper-1.5.2/ChangeLog
/usr/share/doc/php-netresearch-jsonmapper-1.5.2/LICENSE
/usr/share/doc/php-netresearch-jsonmapper-1.5.2/README.rst
/usr/share/doc/php-netresearch-jsonmapper-1.5.2/composer.json
/usr/share/php/netresearch/
/usr/share/php/netresearch/jsonmapper/JsonMapper.php
/usr/share/php/netresearch/jsonmapper/autoload.php
/usr/share/php/netresearch/jsonmapper/JsonMapper/Exception.php

Changelog

2019-08-08 - Remi Collet <remi@remirepo.net> - 1.5.2-1
- update to 1.5.2
- add patch for PHP 7.4 from
https://github.com/cweiske/jsonmapper/pull/131
2019-07-09 - Remi Collet <remi@remirepo.net> - 1.5.1-1
- update to 1.5.1
2019-07-08 - Remi Collet <remi@remirepo.net> - 1.5.0-1
- update to 1.5.0

See Also

Package Description
php-nette-2.3.10-1.el6.remi.noarch.rpm Nette Framework
php-nette-2.4.0-1.el6.remi.noarch.rpm Nette Framework
php-nette-application-2.4.8-1.el6.remi.noarch.rpm Nette Application MVC Component
php-nette-application-2.4.9-1.el6.remi.noarch.rpm Nette Application MVC Component
php-nette-bootstrap-2.4.4-1.el6.remi.noarch.rpm Nette Bootstrap
php-nette-bootstrap-2.4.5-1.el6.remi.noarch.rpm Nette Bootstrap
php-nette-caching-2.5.5-1.el6.remi.noarch.rpm Nette Caching Component
php-nette-caching-2.5.6-1.el6.remi.noarch.rpm Nette Caching Component
php-nette-component-model-2.3.0-1.el6.remi.noarch.rpm Nette Component Model
php-nette-component-model-2.3.1-1.el6.remi.noarch.rpm Nette Component Model
php-nette-database-2.4.2-1.el6.remi.noarch.rpm Nette Database Component
php-nette-database-2.4.4-1.el6.remi.noarch.rpm Nette Database Component
php-nette-deprecated-2.4.1-1.el6.remi.noarch.rpm APIs and features removed from Nette Framework
php-nette-deprecated-2.4.1-2.el6.remi.noarch.rpm APIs and features removed from Nette Framework
php-nette-di-2.4.10-1.el6.remi.noarch.rpm Nette Dependency Injection Component
Advertisement
Advertisement